# CvSparseMat Struct Reference

`#include <types_c.h>`

List of all members.

## Public Attributes

int | dims
int | hashsize
void ** | hashtable
int | hdr_refcount
struct CvSet * | heap
int | idxoffset
int * | refcount
int | size [CV_MAX_DIM]
int | type
int | valoffset

## Member Data Documentation

int CvSparseMat::dims

int CvSparseMat::hashsize

void** CvSparseMat::hashtable

int CvSparseMat::hdr_refcount

struct CvSet* CvSparseMat::heap

int CvSparseMat::idxoffset

int* CvSparseMat::refcount

int CvSparseMat::size[CV_MAX_DIM]

int CvSparseMat::type

int CvSparseMat::valoffset

The documentation for this struct was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/types_c.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines